* {
    margin: 0%;
    padding: 0%;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: sans-serif;
    scroll-behavior: smooth;
}

:root {
    --dark: #292929;
}

body {
    overflow-x: hidden;
}

@font-face {
    font-family: poet;
    src: url(./Poetsen_One/PoetsenOne-Regular.ttf);
}





.head-content {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    text-align: center;
    font-size: 26px;
    padding-left: 40px;
    color: white;
    font-family: "Yeseva One";
    position: relative;
    text-shadow: 0 0 10px #000;
}

.head-content h1 {
    margin-bottom: 20px;
    text-align: center;
}

.head-content a {
    color: #fff;
}

.head-content p {
    font-size: 20px;
}

@media(max-width:900px) {
    .head-content {
        padding-left: 0;
        align-items: center;
    }

    #blog-header {
        justify-content: center;
        align-items: center;
    }
}

@media(max-width:750px) {
    .head-content {
        font-size: 25px
    }
}


/*********** header ***********/

.all-btns-hotel {
    padding: 15px 25px;
    font-size: 17px;
    color: white;
    cursor: pointer;
    background-color: var(--dark);
    width: fit-content;
    border: none;
}

@media (max-width: 500px) {
    .all-btns-hotel {
        margin: auto;
    }
}

.all-main-h2 {
    font-size: 25px;
    line-height: 150%;
    color: var(--dark);
}

.all-main-p {
    font-size: 17.5px;
    line-height: 150%;
    color: #333;
}

.all-main-p2 {
    font-size: 16.8px;
    line-height: 150%;
    color: #333;
}

.himachal-hotel-heading {
    font-family: poet;
    font-size: 50px;
    position: relative;
    width: fit-content;
    text-align: center;
    margin: auto;
    color: var(--dark);
    font-weight: 500;
    font-weight: bold;
    text-transform: uppercase;
}

@media (max-width: 900px) {

    .himachal-hotel-heading {
        font-size: 35px;
    }
}

@media (max-width: 600px) {

    .himachal-hotel-heading {
        font-size: 30px;
    }
}




.blog-header {
    background: linear-gradient(rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("/images/baagh3.jpg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.blog-header h1 {
    font-size: 60px;
}

.blog-header p a {
    color: #eee;
}



@media (max-width:800px) {

    .blog-header {
        justify-content: center;
        align-items: center;
        padding-left: 0px;
    }

    .blog-header h1 {
        font-size: 50px;
    }

    .sub-Footer ul {
        padding-left: 100px;
    }
}

@media (max-width:550px) {

    .blog-header h1 {
        font-size: 40px;
    }
}











.blog-left .blog-dot {
    position: absolute;
    top: 0px;
    left: -270px;
    width: 300px;
    animation: increase 10s infinite alternate linear;
}

@keyframes increase {

    0%,
    100% {
        width: 250px;
    }

    50% {
        width: 200px;
    }
}

.blog-round {
    position: absolute;
    top: 150px;
    left: -140px;
    width: 250px;
    animation: fullRound 15s infinite linear;
}

@keyframes fullRound {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

main {
    margin: 50px auto 60px;
    display: flex;
    gap: 50px;
    position: relative;
}


.blog-header {
    background-color: black;
}

.our-blog-upper {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    font-size: 18px;
    line-height: 25px;
    max-width: 80vw;
    margin: auto;
}

.our-blog-upper-inner {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.our-blog-upper-inner h2 {
    font-size: 25px;
    color: #2d94ff;
}

.our-blog-upper-inner h1 {
    font-size: 42px;
    line-height: 40px;
}

.our-blog-upper p {
    max-width: 60%;
}

.our-blog-main {
    max-width: 80vw;
    margin-inline: auto;
}

.blog-container {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.blog-container>h2 {
    font-size: 40px;
    text-align: center;
}

.blog-container>p {
    font-size: 20px;
    text-align: center;
    margin-bottom: 10px;
}

.inner-blog-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
}

.blog-individual {
    min-height: 280px;
    width: 100%;
    padding: 10px;
    display: flex;
    align-items: flex-end;
    color: #fff;
    position: relative;
    z-index: 10;
    cursor: pointer;

}

.blog-vh-max {
    grid-column: 2 span;
    width: 100%;
    height: 100%;
    grid-row: 2 span;
}

.blog-h-max {
    grid-column: 2 span;
}

.blog-v-max {
    grid-row: 2 span;
}

.blog-individual-1 {
    background: url("https://hotelswale.com/images/nanital%20overview.jpg");
    background-position: center;
    background-size: cover;
}

.blog-individual-2 {
    background: url("https://hotelswale.com/images/kainchi%20dhaam.avif");
    background-position: center;
    background-size: cover;
}

.blog-individual-3 {
    background: url("https://img.freepik.com/premium-photo/photo-india-gate-new-delhi-india_583952-57740.jpg?ga=GA1.1.1836250673.1720700641&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-4 {
    background: url("https://img.freepik.com/premium-photo/uttarakhand-foundation-day-copy-space-background_548646-80289.jpg?ga=GA1.1.2089818184.1724403351&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-5 {
    background: url("https://img.freepik.com/premium-photo/view-historic-building-against-clear-sky_1048944-9533010.jpg?ga=GA1.1.188851069.1725974777&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-6 {
    background: url("https://img.freepik.com/free-photo/backpacker-deogyusan-mountains-winter_335224-465.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-7 {
    background: url("https://img.freepik.com/premium-photo/line-hikers-are-climbing-towards-top-mountain-covered-thick-fog_143092-3695.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-8 {
    background: url("https://img.freepik.com/premium-photo/low-angle-view-man-photographing-temple_1048944-22327096.jpg?semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-individual-9 {
    background: url("https://img.freepik.com/free-photo/ulsan-bawi-rock-seoraksan-mountains-winter-south-korea_335224-287.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.blog-layer {
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(rgb(0, 0, 0, .1), rgb(0, 0, 0, .2), rgb(0, 0, 0, .4));
    inset: 0;
    z-index: -1;
}

.blog-layer:hover {
    background: linear-gradient(rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1));
}

.blog-individual div {
    display: flex;
    gap: 5px;
    flex-direction: column;
}

.blog-individual>div p {
    display: flex;
    gap: 5px;
    align-items: center;
}

.blog-individual>div h2 {
    font-size: 20px;
}

@media (max-width:750px) {
    .inner-blog-container {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (max-width:600px) {

    .inner-blog-container {
        display: flex;
        flex-direction: column;
    }

    .our-blog-upper {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }

    .our-blog-upper p {
        max-width: none;
    }
}





/* Food and Drinks */


.food-drinks-main {
    margin-top: 100px;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
}

.food-drinks-main>h2 {
    font-size: 40px;
}

.food-drinks-main>p {
    font-size: 20px;
}


.food-drinks-inner {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 10px;
    margin-top: 20px;
}

.food-individual {
    position: relative;
    min-height: 250px;
    height: 100%;
    display: flex;
    align-items: flex-end;
    text-align: left;
    padding: 10px;
    margin: auto;
    border-radius: 15px;
    overflow: hidden;
    z-index: 10;
    cursor: pointer;
    color: white;
}

.food-v-max {
    grid-row: 2 span;
    max-height: 400px;
}

.food-h-max {
    grid-column: 2 span;
    width: 100%;
}

.food-vh-max {
    grid-column: 2 span;
    grid-row: 2 span;
    height: 100%;
    width: 100%;
}

.food-individual-1 {
    background: url("https://img.freepik.com/premium-photo/pool-with-palm-tree-house-background_1111209-130490.jpg?semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-2 {
    background: url("https://img.freepik.com/free-photo/wooden-table-background-cityscape_1153-3808.jpg?semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-3 {
    background: url("https://img.freepik.com/premium-photo/high-angle-view-food-table_1048944-14916720.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-4 {
    background: url("https://img.freepik.com/free-photo/portrait-indian-people-celebrating-baisakhi-festival_23-2151216945.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-5 {
    background: url("https://img.freepik.com/free-photo/delicious-indian-food-tray_23-2148723505.jpg?uid=R119780135&ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-6 {
    background: url("../images/divineRiver1.jpg");
    background-position: center;
    background-size: cover;
}

.food-individual-7 {
    background: url("https://img.freepik.com/premium-photo/modern-highway-with-city-background_952161-57345.jpg?semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-individual-8 {
    background: url("https://img.freepik.com/premium-photo/couple-looking-mountains-while-sitting-retaining-wall_1048944-11299684.jpg?ga=GA1.1.459621482.1725013345&semt=ais_hybrid");
    background-position: center;
    background-size: cover;
}

.food-layer {
    position: absolute;
    height: 100%;
    width: 100%;
    background: linear-gradient(rgb(0, 0, 0, .1), rgb(0, 0, 0, .2), rgb(0, 0, 0, .4));
    inset: 0;
    z-index: -1;
}

.food-layer:hover {
    background: linear-gradient(rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1));
}

.food-individual div {
    display: flex;
    gap: 5px;
    flex-direction: column;
}

.food-individual>div p {
    display: flex;
    gap: 5px;
    align-items: center;
}

.food-individual>div h2 {
    font-size: 20px;
}


@media (max-width:800px) {
    .food-drinks-inner {
        grid-template-columns: repeat(1, 1fr);
    }
}


/* Trending Topics */


.trending-topics {
    margin: 50px 40px;
}

.trending-topics h1 {
    text-align: center;
    font-size: 40px;
    margin-bottom: 50px;
}

.trending-topics h1 span {
    color: #2d94ff;
}

.trending-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.trending-box-all {
    height: 200px;
    box-shadow: 0px 0px 10px #0000001f;
    width: 200px;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
    text-align: center;
    padding-bottom: 30px;
    border-radius: 7px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
}

.trending-box-1 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/bg-image-2-300x300.jpg");
}

.trending-box-2 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/demo_image-30-300x300.jpg");
}

.trending-box-3 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/demo_image-300x300.jpg");
}

.trending-box-4 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/demo_image-28-300x300.jpg");
}

.trending-box-5 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/demo_image-31-300x300.jpg");
}

.trending-box-6 {
    background: linear-gradient(to bottom, rgb(0, 0, 0, .2), rgb(0, 0, 0, .4), rgb(0, 0, 0, .6)), url("https://new.axilthemes.com/themes/blogar/wp-content/uploads/2021/01/demo_image-3-300x300.jpg");
}





/* get in touch  */

.getInTouch-main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    margin: auto;
    padding-block: 50px;
    background: linear-gradient(rgb(0, 0, 0, .6), rgb(0, 0, 0, .7)), url("https://img.freepik.com/premium-photo/photo-is-must-everyday-work-ai-generated-best-wonderful-photo_1088224-110141.jpg?w=996");
    background-size: cover;
    background-position: center;
    color: #fff;
    text-align: center;
    padding-inline: 10px;
    background-attachment: fixed;
    margin-bottom: 10px;
    width: 100%;
}

.getInTouch-main h1 {
    font-size: 40px;
    border-bottom: 1px solid #ffffffcc;
    padding-bottom: 10px;
    width: fit-content;
    margin-inline: auto;
}

.hotel-website-all-btn-blog {
    margin-inline: auto;
    margin-top: 30px;
    padding: 18px 35px;
    font-size: 22px;
}

@media(max-width:900px) {
    .getInTouch-main {
        width: 100%;
    }
}

@media (max-width:860px) {

    .getInTouch-main h1 {
        font-size: 25px;
    }

    .getInTouch-main a {
        font-size: 15px;
    }
}

@media (max-width:500px) {

    .getInTouch-main h1 {
        font-size: 20px;
    }

    .getInTouch-main a {
        font-size: 14px;
    }
}

@media(max-width:420px) {
    .getInTouch-main h1 {
        font-size: 18px;
    }

    .getInTouch-main a {
        margin-top: 10px;
    }
}